#%define __libtoolize /bin/true
%define name    kdissert
%define version 1.0.5
%define release 1.2006mcnl
%define summary A mindmapping tool
%define section Office/Publishing

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://freehackers.org/~tnagy/kdissert/index.html
License:        GPL
Group:          Publishing
Packager:       Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 



%description
kdissert is a mindmapping tool dedicated to the creation of complex
documents: dissertations, thesis, presentations and reports. It features
several document generators: latex reports, latex slides (based on Prosper
and Beamer), OpenOffice.org writer and impress, html and plain text.

%prep
%setup

%build
scons
DESTDIR=%{buildroot} scons install

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Kdissert" \
longtitle="%summary"
EOF

#icons

%define  nameicon src/appdata/hi128-app-kdissert.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
%{_libdir}/kde3/*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/*
%{_datadir}/apps/kdissertpart/kdissertpart.rc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_docdir}/HTML/*/%{name}/*
%{_iconsdir}/hicolor/*x*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/mimelnk/application/x-kdissert.desktop
%{_datadir}/services/kdissertpart.desktop

%changelog 

* Mon Oct 17 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 1.0.5-1.2006mcnl
- first build for Mandriva Linux 2006
- 1.0.5


